| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.Customer Class Reference

Class that encapsulates information about the customer. More...

Inheritance diagram for LicenseSpring.Customer:

## Public Member Functions
| Customer ()
| Customer constructor.
| Customer (string email)
| Customer constructor.

## Properties
string | Address`[get, set]`
| Customer address.
string | City`[get, set]`
| Customer city.
string | Company`[get, set]`
| Customer company name.
string | Country`[get, set]`
| Customer country.
string | Email`[get, set]`
| Customer email address.It's required field if you pass customer info to `ILicenseManager.CreateOrder`
string | FirstName`[get, set]`
| Customer first name.
string | LastName`[get, set]`
| Customer last name.
string | Metadata`[get, set]`
| Customer metadata.
string | Phone`[get, set]`
| Customer phone number.
string | Postcode`[get, set]`
| Customer postcode/zipcode.
string | Reference`[get, set]`
| Customer reference.
string | State`[get, set]`
| Customer state.
Properties inherited from LicenseSpring.ICustomer

## Detailed Description

Class that encapsulates information about the customer.

See `ILicense.Owner` method

## Constructor & Destructor Documentation

## ◆ Customer()

LicenseSpring.Customer.Customer | ( | string | email | ) |

Customer constructor.

Parameters

  email | Customer email

## Property Documentation

## ◆ Address

string LicenseSpring.Customer.Address
| get set

Customer address.

Implements LicenseSpring.ICustomer.

## ◆ City

string LicenseSpring.Customer.City
| get set

Customer city.

Implements LicenseSpring.ICustomer.

## ◆ Company

string LicenseSpring.Customer.Company
| get set

Customer company name.

Implements LicenseSpring.ICustomer.

## ◆ Country

string LicenseSpring.Customer.Country
| get set

Customer country.

Implements LicenseSpring.ICustomer.

## ◆ Email

string LicenseSpring.Customer.Email
| get set

Customer email address.It's required field if you pass customer info to `ILicenseManager.CreateOrder`

Implements LicenseSpring.ICustomer.

## ◆ FirstName

string LicenseSpring.Customer.FirstName
| get set

Customer first name.

Implements LicenseSpring.ICustomer.

## ◆ LastName

string LicenseSpring.Customer.LastName
| get set

Customer last name.

Implements LicenseSpring.ICustomer.

## ◆ Metadata

string LicenseSpring.Customer.Metadata
| get set

Customer metadata.

Implements LicenseSpring.ICustomer.

## ◆ Phone

string LicenseSpring.Customer.Phone
| get set

Customer phone number.

Implements LicenseSpring.ICustomer.

## ◆ Postcode

string LicenseSpring.Customer.Postcode
| get set

Customer postcode/zipcode.

Implements LicenseSpring.ICustomer.

## ◆ Reference

string LicenseSpring.Customer.Reference
| get set

Customer reference.

Implements LicenseSpring.ICustomer.

## ◆ State

string LicenseSpring.Customer.State
| get set

Customer state.

Implements LicenseSpring.ICustomer.

The documentation for this class was generated from the following file:

- Customer.cs